Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.notifier
Class MsnNotifierFacade

    java.lang.Object
      com.pmease.quickbuild.notifier.MsnNotifierFacade

All Implemented Interfaces:
  java.io.Serializable

public class MsnNotifierFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for MsnNotifier.

See Also:
  Serialized Form

Constructor Summary
`MsnNotifierFacade()`

Method Summary
`java.lang.String` | `getAdditionalResourceLoaderPath()` QuickBuild uses templates sub directory under its installation directory as the default resource loader path when evaluates Velocity template of this notifier.
`java.lang.String` | `getMessageTemplate()` Specify Velocity template for the notification message.
`java.lang.String` | `getName()` OGNL: Specify name of this notifier.
`java.lang.String` | `getSenderAccount()` OGNL: QuickBuild needs a MSN Messenger account in order to send out build notification messages through MSN messenger.
`java.lang.String` | `getSenderPassword()` OGNL: Password for the above MSN account.
`long` | `getTimeout()` Specify time out value (in seconds) while login to MSN.
`void` | `setAdditionalResourceLoaderPath(java.lang.String additionalResourceLoaderPath)`
`void` | `setMessageTemplate(java.lang.String messageTemplate)`
`void` | `setName(java.lang.String name)`
`void` | `setSenderAccount(java.lang.String senderAccount)`
`void` | `setSenderPassword(java.lang.String senderPassword)`
`void` | `setTimeout(long timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MsnNotifierFacade

    public MsnNotifierFacade()

Method Detail

### getSenderAccount

    public java.lang.String getSenderAccount()

  OGNL: QuickBuild needs a MSN Messenger account in order to send out build notification messages through MSN messenger. For example quickbuild@hotmail.com.
  NOTE: Connecting using proxy is not yet supported.

### setSenderAccount

    public void setSenderAccount(java.lang.String senderAccount)

### getSenderPassword

    public java.lang.String getSenderPassword()

  OGNL: Password for the above MSN account.

### setSenderPassword

    public void setSenderPassword(java.lang.String senderPassword)

### getTimeout

    public long getTimeout()

  Specify time out value (in seconds) while login to MSN. Set it to 0 if you want to disable time out.

### setTimeout

    public void setTimeout(long timeout)

### getMessageTemplate

    public java.lang.String getMessageTemplate()

  Specify Velocity template for the notification message. Two variables are pre-defined: build means current build object, and system means current system object. Refer to user's guide for details.

### setMessageTemplate

    public void setMessageTemplate(java.lang.String messageTemplate)

### getName

    public java.lang.String getName()

  OGNL: Specify name of this notifier.

### setName

    public void setName(java.lang.String name)

### getAdditionalResourceLoaderPath

    public java.lang.String getAdditionalResourceLoaderPath()

  QuickBuild uses templates sub directory under its installation directory as the default resource loader path when evaluates Velocity template of this notifier. However you can specify additional resource loader paths here by inputing one path per line. If paths specified here is not absolute, they will be considered to be relative to current build's artifacts directory. Also OGNL expressions can be inserted in these paths as long as they are encapsulated in ${...}.

### setAdditionalResourceLoaderPath

    public void setAdditionalResourceLoaderPath(java.lang.String additionalResourceLoaderPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.